import com.ibm.as400.access.*;
import com.ibm.as400.data.*;

public class qwcrssts 
{

  public static void main(String[] argv)
  {
    Object value;
    AS400 theMachine = new AS400();

    try {
           ProgramCallDocument pcmlDoc = new ProgramCallDocument(theMachine, "qwcrssts");
	   pcmlDoc.callProgram("qwcrssts_SSTS0200");
	   System.out.println("  Retrieving AS/400 data...");
	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.CpuUtilization")).floatValue())/10);
 	   System.out.println("    CPU Utilization:  " + value + "%");
    	   value = ((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.SystemASPSize"));
 	   System.out.println("    System ASP size:  " + value + "MB");
    	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.SystemASPPercent")).floatValue())/10000);
 	   System.out.println("    Percent system ASP used:  " + value + "%");
   	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.PermanentAddressesUsed")).floatValue())/1000);
 	   System.out.println("    Permanent system address utilization:  " + value + "%");
  	   value = new Float ((((Integer) pcmlDoc.getValue("qwcrssts_SSTS0200.receiver.TemporaryAddressesUsed")).floatValue())/1000);
 	   System.out.println("    Temporary system address utilization:  " + value + "%");
    } catch (PcmlException e)  {
           System.out.println(e.getLocalizedMessage());
           e.printStackTrace();
           System.out.println("*** Call to QWCRSSTS failed. ***");
           System.exit(0);
    }
    System.exit(0);
  }
}

