import com.ibm.as400.opnav.*;
import com.ibm.as400.access.*;
import com.ibm.as400.ui.framework.java.*;
class SystemStatusManager extends Object implements ActionsManager {
private ObjectName[] initObjs;
private ObjectName dragDropObj;
public void initialize(ObjectName[] arg1, ObjectName arg2) {
initObjs = arg1;
dragDropObj = arg2;
}
public ActionDescriptor[] queryActions(int arg1) {
ActionDescriptor[] actions = new ActionDescriptor[0];
String objType = null;
try {
objType = initObjs[0].getObjectType();
if (objType.equals("AS4")) {
if ((arg1 & CUSTOM_ACTIONS) == CUSTOM_ACTIONS) {
actions = new ActionDescriptor[1];
ActionDescriptor act = new ActionDescriptor(1);
act.setText("System Status");
act.setHelpText("Loads the lab System Status Plugin");
act.setVerb("ITSOSysSts");
actions[0] = act;
}
}
}
catch (Exception e) {
Monitor.logThrowable(e);
}
return actions;
}
public void actionSelected(int arg1, java.awt.Frame arg2) {
if (arg1 == 1) {
try {
AS400 theMachine = (AS400)initObjs[0].getSystemObject();
SystemStatusEngine theSystemEngine = new SystemStatusEngine(theMachine);
theSystemEngine.load();
DataBean[] dbeans = {theSystemEngine};
PanelManager pm = null;
try {
pm = new PanelManager("SystemStatus","SystemResources",dbeans,arg2);
}
catch (DisplayManagerException e){
e.displayUserMessage(arg2);
}
pm.setVisible(true);
}
catch (Exception e) {
Monitor.logThrowable(e);
}
}
}
}